<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::TestCaseInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="structCatch_1_1TestCaseInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::TestCaseInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::TestCaseInfo:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1TestCaseInfo__inherit__graph.png" border="0" usemap="#Catch_1_1TestCaseInfo_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1TestCaseInfo_inherit__map" id="Catch_1_1TestCaseInfo_inherit__map">
<area shape="rect" title=" " alt="" coords="5,5,156,32"/>
<area shape="rect" href="classCatch_1_1TestCase.html" title=" " alt="" coords="18,80,143,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::TestCaseInfo:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1TestCaseInfo__coll__graph.png" border="0" usemap="#Catch_1_1TestCaseInfo_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1TestCaseInfo_coll__map" id="Catch_1_1TestCaseInfo_coll__map">
<area shape="rect" title=" " alt="" coords="11,95,162,121"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="5,5,168,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a39b232f74b4a7a6f2183b96759027eac"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6
<br />
 }</td></tr>
<tr class="separator:a39b232f74b4a7a6f2183b96759027eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b232f74b4a7a6f2183b96759027eac"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6
<br />
 }</td></tr>
<tr class="separator:a39b232f74b4a7a6f2183b96759027eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad1a6b08b5a83d1c5eb4596b727b5305f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#ad1a6b08b5a83d1c5eb4596b727b5305f">TestCaseInfo</a> (std::string const &amp;_name, std::string const &amp;_className, std::string const &amp;_description, std::vector&lt; std::string &gt; const &amp;_tags, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo)</td></tr>
<tr class="separator:ad1a6b08b5a83d1c5eb4596b727b5305f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934b1a0952700743e99d62ec1731a2e2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a934b1a0952700743e99d62ec1731a2e2">isHidden</a> () const</td></tr>
<tr class="separator:a934b1a0952700743e99d62ec1731a2e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc70d4379a2070cc22b693ffe3932c1a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc70d4379a2070cc22b693ffe3932c1a">throws</a> () const</td></tr>
<tr class="separator:afc70d4379a2070cc22b693ffe3932c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f37291295e3a6de2dd85324c941edaf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a5f37291295e3a6de2dd85324c941edaf">okToFail</a> () const</td></tr>
<tr class="separator:a5f37291295e3a6de2dd85324c941edaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe33d81233230cdae8afa714688e905b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#abe33d81233230cdae8afa714688e905b">expectedToFail</a> () const</td></tr>
<tr class="separator:abe33d81233230cdae8afa714688e905b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17506de67fb18e27511c17f8a81119d8"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a17506de67fb18e27511c17f8a81119d8">tagsAsString</a> () const</td></tr>
<tr class="separator:a17506de67fb18e27511c17f8a81119d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a6b08b5a83d1c5eb4596b727b5305f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#ad1a6b08b5a83d1c5eb4596b727b5305f">TestCaseInfo</a> (std::string const &amp;_name, std::string const &amp;_className, std::string const &amp;_description, std::vector&lt; std::string &gt; const &amp;_tags, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo)</td></tr>
<tr class="separator:ad1a6b08b5a83d1c5eb4596b727b5305f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934b1a0952700743e99d62ec1731a2e2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a934b1a0952700743e99d62ec1731a2e2">isHidden</a> () const</td></tr>
<tr class="separator:a934b1a0952700743e99d62ec1731a2e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc70d4379a2070cc22b693ffe3932c1a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc70d4379a2070cc22b693ffe3932c1a">throws</a> () const</td></tr>
<tr class="separator:afc70d4379a2070cc22b693ffe3932c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f37291295e3a6de2dd85324c941edaf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a5f37291295e3a6de2dd85324c941edaf">okToFail</a> () const</td></tr>
<tr class="separator:a5f37291295e3a6de2dd85324c941edaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe33d81233230cdae8afa714688e905b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#abe33d81233230cdae8afa714688e905b">expectedToFail</a> () const</td></tr>
<tr class="separator:abe33d81233230cdae8afa714688e905b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17506de67fb18e27511c17f8a81119d8"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a17506de67fb18e27511c17f8a81119d8">tagsAsString</a> () const</td></tr>
<tr class="separator:a17506de67fb18e27511c17f8a81119d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a463794e2f5cfead307c93efd134ade36"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a463794e2f5cfead307c93efd134ade36">name</a></td></tr>
<tr class="separator:a463794e2f5cfead307c93efd134ade36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5e0825132a38d091defdebbf2f8ce9"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a1a5e0825132a38d091defdebbf2f8ce9">className</a></td></tr>
<tr class="separator:a1a5e0825132a38d091defdebbf2f8ce9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fe2db9425bc45f6a33893eac31198e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a37fe2db9425bc45f6a33893eac31198e">description</a></td></tr>
<tr class="separator:a37fe2db9425bc45f6a33893eac31198e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae710376996aa2cc50787e23c5184d8b8"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#ae710376996aa2cc50787e23c5184d8b8">tags</a></td></tr>
<tr class="separator:ae710376996aa2cc50787e23c5184d8b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a150144c1b509d16ee9305bfd4c5437fc"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a150144c1b509d16ee9305bfd4c5437fc">lcaseTags</a></td></tr>
<tr class="separator:a150144c1b509d16ee9305bfd4c5437fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9407b7f442655b51a2aad24b3fa2fd3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#aa9407b7f442655b51a2aad24b3fa2fd3">lineInfo</a></td></tr>
<tr class="separator:aa9407b7f442655b51a2aad24b3fa2fd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc1e84bd7a2e180895a06d9131302af0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc1e84bd7a2e180895a06d9131302af0">properties</a></td></tr>
<tr class="separator:afc1e84bd7a2e180895a06d9131302af0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a0fe44abaf18ae7c26f98a9fc2b08679c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a0fe44abaf18ae7c26f98a9fc2b08679c">setTags</a> (<a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;testCaseInfo, std::vector&lt; std::string &gt; <a class="el" href="structCatch_1_1TestCaseInfo.html#ae710376996aa2cc50787e23c5184d8b8">tags</a>)</td></tr>
<tr class="separator:a0fe44abaf18ae7c26f98a9fc2b08679c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fe44abaf18ae7c26f98a9fc2b08679c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a0fe44abaf18ae7c26f98a9fc2b08679c">setTags</a> (<a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;testCaseInfo, std::vector&lt; std::string &gt; <a class="el" href="structCatch_1_1TestCaseInfo.html#ae710376996aa2cc50787e23c5184d8b8">tags</a>)</td></tr>
<tr class="separator:a0fe44abaf18ae7c26f98a9fc2b08679c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a39b232f74b4a7a6f2183b96759027eac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39b232f74b4a7a6f2183b96759027eac">&#9670;&nbsp;</a></span>SpecialProperties <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">Catch::TestCaseInfo::SpecialProperties</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb"></a>None&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969"></a>IsHidden&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b"></a>ShouldFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29"></a>MayFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149"></a>Throws&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95"></a>NonPortable&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385"></a>Benchmark&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb"></a>None&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969"></a>IsHidden&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b"></a>ShouldFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29"></a>MayFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149"></a>Throws&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95"></a>NonPortable&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385"></a>Benchmark&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a39b232f74b4a7a6f2183b96759027eac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39b232f74b4a7a6f2183b96759027eac">&#9670;&nbsp;</a></span>SpecialProperties <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">Catch::TestCaseInfo::SpecialProperties</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb"></a>None&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969"></a>IsHidden&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b"></a>ShouldFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29"></a>MayFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149"></a>Throws&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95"></a>NonPortable&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385"></a>Benchmark&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb"></a>None&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969"></a>IsHidden&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b"></a>ShouldFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29"></a>MayFail&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149"></a>Throws&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95"></a>NonPortable&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385"></a>Benchmark&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad1a6b08b5a83d1c5eb4596b727b5305f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a6b08b5a83d1c5eb4596b727b5305f">&#9670;&nbsp;</a></span>TestCaseInfo() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::TestCaseInfo::TestCaseInfo </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; const &amp;&#160;</td>
          <td class="paramname"><em>_tags</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1a6b08b5a83d1c5eb4596b727b5305f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a6b08b5a83d1c5eb4596b727b5305f">&#9670;&nbsp;</a></span>TestCaseInfo() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::TestCaseInfo::TestCaseInfo </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; const &amp;&#160;</td>
          <td class="paramname"><em>_tags</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>_lineInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="abe33d81233230cdae8afa714688e905b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe33d81233230cdae8afa714688e905b">&#9670;&nbsp;</a></span>expectedToFail() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::expectedToFail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abe33d81233230cdae8afa714688e905b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe33d81233230cdae8afa714688e905b">&#9670;&nbsp;</a></span>expectedToFail() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::expectedToFail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a934b1a0952700743e99d62ec1731a2e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a934b1a0952700743e99d62ec1731a2e2">&#9670;&nbsp;</a></span>isHidden() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::isHidden </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a934b1a0952700743e99d62ec1731a2e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a934b1a0952700743e99d62ec1731a2e2">&#9670;&nbsp;</a></span>isHidden() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::isHidden </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f37291295e3a6de2dd85324c941edaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f37291295e3a6de2dd85324c941edaf">&#9670;&nbsp;</a></span>okToFail() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::okToFail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f37291295e3a6de2dd85324c941edaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f37291295e3a6de2dd85324c941edaf">&#9670;&nbsp;</a></span>okToFail() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::okToFail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17506de67fb18e27511c17f8a81119d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17506de67fb18e27511c17f8a81119d8">&#9670;&nbsp;</a></span>tagsAsString() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::TestCaseInfo::tagsAsString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17506de67fb18e27511c17f8a81119d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17506de67fb18e27511c17f8a81119d8">&#9670;&nbsp;</a></span>tagsAsString() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::TestCaseInfo::tagsAsString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afc70d4379a2070cc22b693ffe3932c1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc70d4379a2070cc22b693ffe3932c1a">&#9670;&nbsp;</a></span>throws() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::throws </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afc70d4379a2070cc22b693ffe3932c1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc70d4379a2070cc22b693ffe3932c1a">&#9670;&nbsp;</a></span>throws() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCaseInfo::throws </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a0fe44abaf18ae7c26f98a9fc2b08679c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fe44abaf18ae7c26f98a9fc2b08679c">&#9670;&nbsp;</a></span>setTags <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void setTags </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>testCaseInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>tags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0fe44abaf18ae7c26f98a9fc2b08679c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fe44abaf18ae7c26f98a9fc2b08679c">&#9670;&nbsp;</a></span>setTags <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void setTags </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>testCaseInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>tags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1a5e0825132a38d091defdebbf2f8ce9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a5e0825132a38d091defdebbf2f8ce9">&#9670;&nbsp;</a></span>className</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::TestCaseInfo::className</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a37fe2db9425bc45f6a33893eac31198e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37fe2db9425bc45f6a33893eac31198e">&#9670;&nbsp;</a></span>description</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::TestCaseInfo::description</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a150144c1b509d16ee9305bfd4c5437fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a150144c1b509d16ee9305bfd4c5437fc">&#9670;&nbsp;</a></span>lcaseTags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; Catch::TestCaseInfo::lcaseTags</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9407b7f442655b51a2aad24b3fa2fd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9407b7f442655b51a2aad24b3fa2fd3">&#9670;&nbsp;</a></span>lineInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> Catch::TestCaseInfo::lineInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a463794e2f5cfead307c93efd134ade36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a463794e2f5cfead307c93efd134ade36">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::TestCaseInfo::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afc1e84bd7a2e180895a06d9131302af0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc1e84bd7a2e180895a06d9131302af0">&#9670;&nbsp;</a></span>properties</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a> Catch::TestCaseInfo::properties</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae710376996aa2cc50787e23c5184d8b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae710376996aa2cc50787e23c5184d8b8">&#9670;&nbsp;</a></span>tags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; Catch::TestCaseInfo::tags</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
